#pragma once

#include "XString.h"

class ArchiveFile;

class ArchiveStream
{
	ArchiveFile* m_File;

public:
	ArchiveStream(ArchiveFile* const f);
	~ArchiveStream(void);

	void Write(const int i);
	void Write(const XString& str);

	int ReadInt(void);
	XString ReadString(void);
};
